XML error when going to site needing certificate exception when using fi_FI.UTF-8 or de_DE.UTF-8

Bug #218848 reported by Timo Jyrinki on 2008-04-17
12
Affects Status Importance Assigned to Milestone
Launchpad itself
Undecided
Unassigned
firefox (Ubuntu)
Undecided
Unassigned
language-pack-gnome-de-base (Ubuntu)
Undecided
Unassigned
language-pack-gnome-fi-base (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox

Hi. Found a problem with the current fi_FI firefox translation, but do not know the exact reason at least yet:

XML-jäsennysvirhe: määrittelemätön olio
URL: jar:file:///usr/lib/xulrunner-1.9b5/chrome/toolkit.jar!/content/global/netError.xhtml
Rivinumero 273, sarake 82:
          <a id="securityOverrideLink" href="javascript:showSecuritySection();" >&securityOverride.linkText;</a>
---------------------------------------------------------------------------------^
(you can probably understand it, ie. XML parse error, unknown object &securityOverride.linkText;)

But, in the firefox-3.0-fi.jar, in netError.dtd there is a line <!ENTITY securityOverride.linkText "Tai lisää poikkeussääntö…">, which should be correct. The problem is not there with Spanish (es), but I cannot find the relevant diference anywhere.

Any tips on finding out the cause or ideas about the cause welcome.

Timo Jyrinki (timo-jyrinki) wrote :

Additional info: does not happen with mozilla.org downloaded Finnish localized beta 5, so the problem is somewhere in Ubuntu's version or localizations, but I don't know where.

Timo Jyrinki (timo-jyrinki) wrote :

Problem looks like to be on the xulrunner side, continuing debugging tomorrow.

Bruno (grossnik-register) wrote :

Hi
Have the same issue here when connecting to the web interface of a HP Officejet Pro L7680:

XML-Verarbeitungsfehler: Fehler beim Verarbeiten einer Referenz auf eine externe Entität
Adresse: jar:file:///usr/lib/xulrunner-1.9b5/chrome/toolkit.jar!/content/global/netError.xhtml
Zeile Nr. 10, Spalte 3: %netErrorDTD;
--^

Alexander Sack (asac) wrote :

could you please give us a public accessible webpage where this happens?

Changed in firefox:
status: New → Incomplete
Bruno (grossnik-register) wrote :

I even get the message when going to
http://www.example42.foo
(which does not exist) =>
XML-Verarbeitungsfehler: Fehler beim Verarbeiten einer Referenz auf eine externe Entität
Adresse: jar:file:///usr/lib/xulrunner-1.9b5/chrome/toolkit.jar!/content/global/netError.xhtml
Zeile Nr. 10, Spalte 3: %netErrorDTD;
--^

Bruno (grossnik-register) wrote :

my env:
$ env | grep LANG
LANG=de_CH.UTF-8
GDM_LANG=de_CH.UTF-8

Timo Jyrinki (timo-jyrinki) wrote :

Marking as confirmed, affects de_DE also and apparently po2xpi related. Different error message in different locales, though.

Changed in firefox:
status: Incomplete → Confirmed
Kjell Braden (afflux) wrote :

Bruno, Timo: the netErrorDTD in de_DE issue is bug 218563.

Alexander Sack (asac) wrote :

not a firefox bug.

Changed in firefox:
status: Confirmed → Invalid
Alexander Sack (asac) wrote :

language packs are fixed and uploaded.

Changed in language-pack-gnome-de-base:
status: New → Fix Committed
Changed in language-pack-gnome-fi-base:
status: New → Fix Committed
Alexander Sack (asac) wrote :

the origin of this bug was in the po2xpi processor we use.

Changed in rosetta:
status: New → Fix Released
Alexander Sack (asac) wrote :

language-pack-gnome-de-base (1:8.04+20080415ubuntu1) hardy; urgency=low

  * fix "error pages like 'certificate exception page or server not found' are
    broken"; this was due to bad escaping of invalid DTD characters in the
    po2xpi processor.
    - update data/mozilla.tar.gz

 -- Alexander Sack <email address hidden> Mon, 21 Apr 2008 10:57:22 +0200

Alexander Sack (asac) wrote :

language-pack-gnome-fi-base (1:8.04+20080415ubuntu1) hardy; urgency=low

  * fix "error pages like 'certificate exception page or server not found' are
    broken"; this was due to bad escaping of invalid DTD characters in the
    po2xpi processor.
    - update data/mozilla.tar.gz

 -- Alexander Sack <email address hidden> Mon, 21 Apr 2008 11:22:27 +0200

Timo Jyrinki (timo-jyrinki) wrote :

Fixes are now also released, in the archive.

Changed in language-pack-gnome-de-base:
status: Fix Committed → Fix Released
Changed in language-pack-gnome-fi-base:
status: Fix Committed → Fix Released

I have been experiencing the same problem with the Galician language pack:

$ env | grep LANG
LANG=gl_ES.UTF-8
GDM_LANG=gl_ES.UTF

Works perfectly with the Spanish one.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers